Bug 437722 - policygentool - missing python module dependency + wrong option
policygentool - missing python module dependency + wrong option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-16 19:08 EDT by Josef Kubin
Modified: 2012-10-16 04:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:32:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Kubin 2008-03-16 19:08:29 EDT
Description of problem:
# /usr/share/selinux/devel/policygentool
Traceback (most recent call last):
  File "./policygentool", line 25, in ?
    import polgen
ImportError: No module named polgen

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
wrong option:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

--- policygentool       2008-03-16 23:52:33.000000000 +0100
+++ policygentool.fixed 2008-03-17 00:04:31.000000000 +0100
@@ -50,7 +50,7 @@
 
 # /usr/share/selinux/devel/policygentool myapp /usr/bin/myapp
 # make -f /usr/share/selinux/devel/Makefile
-# semodule -l myapp.pp
+# semodule -i myapp.pp
 # restorecon -R -v /usr/bin/myapp "all files defined in myapp.fc"
 
 Now you can turn on permissive mode, start your application and avc messages

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Version-Release number of selected component (if applicable):
selinux-policy-devel-2.4.6-106.el5_1.3
Comment 1 Daniel Walsh 2008-05-02 10:41:53 EDT
Fixed in selinux-policy-2.4.6-138.el5	
Comment 2 Tony Fu 2008-10-05 21:28:09 EDT
User jkubin@redhat.com's account has been closed
Comment 3 Tony Fu 2008-10-05 21:29:49 EDT
User jkubin@redhat.com's account has been closed
Comment 4 Daniel Walsh 2008-10-21 14:07:38 EDT
This fix is in the U3 policy.
Comment 8 Daniel Walsh 2008-10-29 12:16:09 EDT
Fixed in selinux-policy-2.4.6-179.el5
Comment 11 Daniel Walsh 2008-11-24 12:58:07 EST
Don't know how this came back.

Fixed in selinux-policy-2.4.6-193
Comment 15 errata-xmlrpc 2009-01-20 16:32:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0163.html

Note You need to log in before you can comment on or make changes to this bug.